Index: other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid10740.log
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid10740.log	(revision 17170)
+++ 	(revision )
@@ -1,342 +1,0 @@
-#
-# An unexpected error has been detected by HotSpot Virtual Machine:
-#
-#  SIGSEGV (0xb) at pc=0x53e58955, pid=10740, tid=3086010048
-#
-# Java VM: Java HotSpot(TM) Client VM (1.5.0_10-b03 mixed mode, sharing)
-# Problematic frame:
-# C  0x53e58955
-#
-
----------------  T H R E A D  ---------------
-
-Current thread (0x0933eb18):  JavaThread "main" [_thread_in_native, id=10740]
-
-siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x53e58955
-
-Registers:
-EAX=0x00db01b0, EBX=0xb161a1d0, ECX=0xb232afd8, EDX=0x0023d380
-ESP=0xbfec1ecc, EBP=0xbfec1ef8, ESI=0x09776750, EDI=0x09776750
-EIP=0x53e58955, CR2=0x53e58955, EFLAGS=0x00210206
-
-Top of Stack: (sp=0xbfec1ecc)
-0xbfec1ecc:   b15ffa92 09776750 00000018 b161218f
-0xbfec1edc:   09776750 00000001 0976dd44 b15ff99b
-0xbfec1eec:   b161a1d0 b161218f b15ff540 bfec1f28
-0xbfec1efc:   b15ffbd1 b1612174 b1611bc2 b15ff540
-0xbfec1f0c:   0933ebd8 bfec1f58 b1611bc2 b15ffb7b
-0xbfec1f1c:   b161a1d0 09770890 0933ebd8 bfec1f58
-0xbfec1f2c:   b15fb5cc 0933ebd8 bfec1f94 00000042
-0xbfec1f3c:   09770890 bfec1fb4 8cccf3f8 b15fb54b 
-
-Instructions: (pc=0x53e58955)
-0x53e58945:   
-[error occurred during error reporting, step 100, id 0xb]
-
-Stack: [0xbfcc8000,0xbfec8000),  sp=0xbfec1ecc,  free space=2023k
-Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
-C  0x53e58955
-C  [libmgsearchjni.so+0xabd1]  InitEnv+0x61
-C  [libmgsearchjni.so+0x65cc]  Java_org_greenstone_mg_MGSearchWrapper_initCSide+0x8c
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x2b5acc]
-V  [libjvm.so+0x2b8a50]
-V  [libjvm.so+0x1ef248]
-C  [libjava.so+0x137ad]  Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0+0x2d
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+285
-j  org.greenstone3.ms.collectionChooser.<init>()V+14
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x1a55f2]
-V  [libjvm.so+0x196802]
-C  [java+0x1873]
-C  [libc.so.6+0x15dec]  __libc_start_main+0xdc
-
-Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+285
-j  org.greenstone3.ms.collectionChooser.<init>()V+14
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-
----------------  P R O C E S S  ---------------
-
-Java Threads: ( => current thread )
-  0x097239e8 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=10755]
-  0x09714d10 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=10754]
-  0x09386e98 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=10751]
-  0x09385988 JavaThread "CompilerThread0" daemon [_thread_blocked, id=10750]
-  0x09384988 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=10749]
-  0x0937eda8 JavaThread "Finalizer" daemon [_thread_blocked, id=10747]
-  0x0937cf20 JavaThread "Reference Handler" daemon [_thread_blocked, id=10746]
-=>0x0933eb18 JavaThread "main" [_thread_in_native, id=10740]
-
-Other Threads:
-  0x0937a380 VMThread [id=10745]
-  0x09388460 WatcherThread [id=10752]
-
-VM state:not at safepoint (normal execution)
-
-VM Mutex/Monitor currently owned by a thread: None
-
-Heap
- def new generation   total 576K, used 41K [0x88b40000, 0x88be0000, 0x89020000)
-  eden space 512K,   8% used [0x88b40000, 0x88b4a4a8, 0x88bc0000)
-  from space 64K,   0% used [0x88bc0000, 0x88bc0000, 0x88bd0000)
-  to   space 64K,   0% used [0x88bd0000, 0x88bd0000, 0x88be0000)
- tenured generation   total 2292K, used 1373K [0x89020000, 0x8925d000, 0x8cb40000)
-   the space 2292K,  59% used [0x89020000, 0x891776a0, 0x89177800, 0x8925d000)
- compacting perm gen  total 8192K, used 1603K [0x8cb40000, 0x8d340000, 0x90b40000)
-   the space 8192K,  19% used [0x8cb40000, 0x8ccd0d30, 0x8ccd0e00, 0x8d340000)
-    ro space 8192K,  68% used [0x90b40000, 0x910bf220, 0x910bf400, 0x91340000)
-    rw space 12288K,  48% used [0x91340000, 0x9190a968, 0x9190aa00, 0x91f40000)
-
-Dynamic libraries:
-00101000-0023b000 r-xp 00000000 03:03 5133208    /lib/libc-2.5.so
-0023b000-0023d000 r-xp 0013a000 03:03 5133208    /lib/libc-2.5.so
-0023d000-0023e000 rwxp 0013c000 03:03 5133208    /lib/libc-2.5.so
-0023e000-00241000 rwxp 0023e000 00:00 0 
-00243000-00341000 r-xp 00000000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00341000-00345000 rwxp 000fe000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00397000-003b0000 r-xp 00000000 03:03 5133207    /lib/ld-2.5.so
-003b0000-003b1000 r-xp 00019000 03:03 5133207    /lib/ld-2.5.so
-003b1000-003b2000 rwxp 0001a000 03:03 5133207    /lib/ld-2.5.so
-003b4000-003bd000 r-xp 00000000 03:03 5133232    /lib/libnss_files-2.5.so
-003bd000-003be000 r-xp 00008000 03:03 5133232    /lib/libnss_files-2.5.so
-003be000-003bf000 rwxp 00009000 03:03 5133232    /lib/libnss_files-2.5.so
-003c1000-003c9000 r-xp 00000000 03:03 5133235    /lib/libnss_nis-2.5.so
-003c9000-003ca000 r-xp 00007000 03:03 5133235    /lib/libnss_nis-2.5.so
-003ca000-003cb000 rwxp 00008000 03:03 5133235    /lib/libnss_nis-2.5.so
-0042e000-00441000 r-xp 00000000 03:03 5133221    /lib/libnsl-2.5.so
-00441000-00442000 r-xp 00012000 03:03 5133221    /lib/libnsl-2.5.so
-00442000-00443000 rwxp 00013000 03:03 5133221    /lib/libnsl-2.5.so
-00443000-00445000 rwxp 00443000 00:00 0 
-00d66000-00d8b000 r-xp 00000000 03:03 5133213    /lib/libm-2.5.so
-00d8b000-00d8c000 r-xp 00024000 03:03 5133213    /lib/libm-2.5.so
-00d8c000-00d8d000 rwxp 00025000 03:03 5133213    /lib/libm-2.5.so
-00d8f000-00d91000 r-xp 00000000 03:03 5133209    /lib/libdl-2.5.so
-00d91000-00d92000 r-xp 00001000 03:03 5133209    /lib/libdl-2.5.so
-00d92000-00d93000 rwxp 00002000 03:03 5133209    /lib/libdl-2.5.so
-00daa000-00dac000 r-xp 00000000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00dac000-00dad000 rwxp 00001000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00daf000-00db4000 r-xp 00000000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db4000-00db5000 rwxp 00004000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db7000-00dca000 r-xp 00000000 03:03 5133215    /lib/libpthread-2.5.so
-00dca000-00dcb000 r-xp 00012000 03:03 5133215    /lib/libpthread-2.5.so
-00dcb000-00dcc000 rwxp 00013000 03:03 5133215    /lib/libpthread-2.5.so
-00dcc000-00dce000 rwxp 00dcc000 00:00 0 
-00dd0000-00ddf000 r-xp 00000000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00ddf000-00de0000 rwxp 0000e000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00de2000-00dea000 r-xp 00000000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00dea000-00deb000 rwxp 00007000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00ded000-00df1000 r-xp 00000000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-00df1000-00df2000 rwxp 00003000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-06321000-0632a000 r-xp 00000000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0632a000-0632b000 rwxp 00008000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0640e000-06419000 r-xp 00000000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06419000-0641a000 rwxp 0000a000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06443000-06523000 r-xp 00000000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06523000-06527000 r-xp 000df000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06527000-06528000 rwxp 000e3000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06528000-0652e000 rwxp 06528000 00:00 0 
-070b3000-070b8000 r-xp 00000000 03:03 5129595    /lib/libcrypt-2.5.so
-070b8000-070b9000 r-xp 00004000 03:03 5129595    /lib/libcrypt-2.5.so
-070b9000-070ba000 rwxp 00005000 03:03 5129595    /lib/libcrypt-2.5.so
-070ba000-070e1000 rwxp 070ba000 00:00 0 
-08048000-08057000 r-xp 00000000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08057000-08059000 rwxp 0000e000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-09339000-09782000 rwxp 09339000 00:00 0 
-88b40000-88be0000 rwxp 88b40000 00:00 0 
-88be0000-89020000 rwxp 88be0000 00:00 0 
-89020000-8925d000 rwxp 89020000 00:00 0 
-8925d000-8cb40000 rwxp 8925d000 00:00 0 
-8cb40000-8d340000 rwxp 8cb40000 00:00 0 
-8d340000-90b40000 rwxp 8d340000 00:00 0 
-90b40000-910c0000 r-xs 00001000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-910c0000-91340000 rwxp 910c0000 00:00 0 
-91340000-9190b000 rwxp 00581000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-9190b000-91f40000 rwxp 9190b000 00:00 0 
-91f40000-92010000 rwxp 00b4c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92010000-92340000 rwxp 92010000 00:00 0 
-92340000-92344000 r-xs 00c1c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92344000-92740000 rwxp 92344000 00:00 0 
-b15f5000-b161a000 r-xp 00000000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b161a000-b161c000 rwxp 00025000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b161c000-b161d000 rwxp b161c000 00:00 0 
-b161d000-b1633000 r-xp 00000000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1633000-b1634000 rwxp 00016000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1634000-b1668000 r-xp 00000000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1668000-b1671000 rwxp 00033000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1671000-b1677000 r-xp 00000000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b1677000-b1678000 rwxp 00005000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b168a000-b168c000 r-xp 00000000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b168c000-b168d000 rwxp 00002000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b168d000-b1690000 --xp b168d000 00:00 0 
-b1690000-b170e000 rwxp b1690000 00:00 0 
-b170e000-b1711000 --xp b170e000 00:00 0 
-b1711000-b178f000 rwxp b1711000 00:00 0 
-b178f000-b17f9000 r-xp 00000000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b17f9000-b1803000 rwxp 00069000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b1803000-b1807000 rwxp b1803000 00:00 0 
-b1807000-b180a000 r-xs 00000000 03:04 11177891   /research/cc108/greenstone3Project/lib/jni/mgpp.jar
-b180a000-b180d000 r-xs 00000000 03:04 11177890   /research/cc108/greenstone3Project/lib/jni/mg.jar
-b180d000-b1813000 r-xs 00000000 03:04 11177881   /research/cc108/greenstone3Project/lib/jni/javagdbm.jar
-b1813000-b1939000 r-xs 00000000 03:04 824762     /research/cc108/greenstone3Project/web/WEB-INF/lib/xercesImpl.jar
-b1939000-b197e000 r-xs 00000000 03:04 824767     /research/cc108/greenstone3Project/web/WEB-INF/lib/mail.jar
-b197e000-b19ae000 r-xs 00000000 03:04 922338     /research/cc108/greenstone3Project/web/applet/xml-apis.jar
-b19ae000-b1a59000 r-xs 00000000 03:04 823556     /research/cc108/greenstone3Project/web/WEB-INF/lib/LuceneWrapper.jar
-b1a59000-b1aa8000 r-xs 00000000 03:04 824760     /research/cc108/greenstone3Project/web/WEB-INF/lib/lucene-1.4.1.jar
-b1aa8000-b1aff000 r-xs 00000000 03:04 822971     /research/cc108/greenstone3Project/web/WEB-INF/lib/log4j-1.2.8.jar
-b1aff000-b1c28000 r-xs 00000000 00:12 10701459   /home/cc108/jFreeChart/lib/jfreechart-1.0.6.jar
-b1c28000-b1c75000 r-xs 00000000 00:12 10701456   /home/cc108/jFreeChart/lib/jcommon-1.0.10.jar
-b1c75000-b1c7d000 r-xs 00000000 03:04 823023     /research/cc108/greenstone3Project/web/WEB-INF/lib/jaxrpc.jar
-b1c7d000-b1e05000 r-xs 00000000 03:04 823122     /research/cc108/greenstone3Project/web/WEB-INF/lib/axis.jar
-b1e05000-b1e67000 r-xs 00000000 03:04 823577     /research/cc108/greenstone3Project/web/WEB-INF/lib/gsdl3.jar
-b1e67000-b1e95000 r-xp 00000000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1e95000-b1e98000 rwxp 0002e000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1e98000-b1e99000 rwxp b1e98000 00:00 0 
-b1e99000-b1f5f000 r-xp 00000000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f5f000-b1f60000 rwxp 000c5000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f60000-b1fc0000 r-xp 00000000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fc0000-b1fc6000 rwxp 0005f000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fc6000-b1fea000 rwxp b1fc6000 00:00 0 
-b1fea000-b20af000 r-xs 00000000 03:03 6669015    /opt/jdk1.5.0_10/jre/lib/ext/localedata.jar
-b20af000-b20b1000 r-xs 00000000 03:03 6669016    /opt/jdk1.5.0_10/jre/lib/ext/dnsns.jar
-b20b1000-b20dc000 r-xs 00000000 03:03 6669017    /opt/jdk1.5.0_10/jre/lib/ext/sunpkcs11.jar
-b20dc000-b2103000 r-xs 00000000 03:03 6669014    /opt/jdk1.5.0_10/jre/lib/ext/sunjce_provider.jar
-b2103000-b2104000 --xp b2103000 00:00 0 
-b2104000-b2184000 rwxp b2104000 00:00 0 
-b2184000-b2187000 --xp b2184000 00:00 0 
-b2187000-b2205000 rwxp b2187000 00:00 0 
-b2205000-b2208000 --xp b2205000 00:00 0 
-b2208000-b2286000 rwxp b2208000 00:00 0 
-b2286000-b2289000 --xp b2286000 00:00 0 
-b2289000-b2307000 rwxp b2289000 00:00 0 
-b2307000-b2507000 r-xp 00000000 03:03 4773667    /usr/lib/locale/locale-archive
-b2507000-b250a000 --xp b2507000 00:00 0 
-b250a000-b2588000 rwxp b250a000 00:00 0 
-b2588000-b258b000 --xp b2588000 00:00 0 
-b258b000-b2609000 rwxp b258b000 00:00 0 
-b2609000-b260a000 --xp b2609000 00:00 0 
-b260a000-b2696000 rwxp b260a000 00:00 0 
-b2696000-b26b2000 rwxp b2696000 00:00 0 
-b26b2000-b26b4000 rwxp b26b2000 00:00 0 
-b26b4000-b26d0000 rwxp b26b4000 00:00 0 
-b26d0000-b26d1000 rwxp b26d0000 00:00 0 
-b26d1000-b26d2000 rwxp b26d1000 00:00 0 
-b26d2000-b26d4000 rwxp b26d2000 00:00 0 
-b26d4000-b26f0000 rwxp b26d4000 00:00 0 
-b26f0000-b26f4000 rwxp b26f0000 00:00 0 
-b26f4000-b2710000 rwxp b26f4000 00:00 0 
-b2710000-b271f000 rwxp b2710000 00:00 0 
-b271f000-b279b000 rwxp b271f000 00:00 0 
-b279b000-b2883000 rwxp b279b000 00:00 0 
-b2883000-b479b000 rwxp b2883000 00:00 0 
-b479b000-b500a000 r-xs 00000000 03:03 6668968    /opt/jdk1.5.0_10/jre/lib/charsets.jar
-b500a000-b501f000 r-xs 00000000 03:03 6668987    /opt/jdk1.5.0_10/jre/lib/jce.jar
-b501f000-b50a4000 r-xs 00000000 03:03 6668837    /opt/jdk1.5.0_10/jre/lib/jsse.jar
-b50a4000-b510d000 rwxp b50a4000 00:00 0 
-b510d000-b771b000 r-xs 00000000 03:03 6668836    /opt/jdk1.5.0_10/jre/lib/rt.jar
-b771b000-b772a000 r-xp 00000000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b772a000-b772c000 rwxp 0000e000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b772c000-b774d000 r-xp 00000000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b774d000-b774f000 rwxp 00020000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b774f000-b7756000 r-xp 00000000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7756000-b7757000 r-xp 00006000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7757000-b7758000 rwxp 00007000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7758000-b7759000 r-xs 00000000 03:04 11177901   /research/cc108/greenstone3Project/lib/jni/cp.jar
-b7759000-b775e000 rwxp b7759000 00:00 0 
-b775e000-b7769000 r-xp 00000000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b7769000-b776a000 rwxp 0000b000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b776a000-b7ad7000 r-xp 00000000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7ad7000-b7af5000 rwxp 0036c000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7af5000-b7f0e000 rwxp b7af5000 00:00 0 
-b7f0e000-b7f0f000 r-xp 02aea000 03:03 4773667    /usr/lib/locale/locale-archive
-b7f0f000-b7f17000 rwxs 00000000 03:03 4151853    /tmp/hsperfdata_cc108/10740
-b7f17000-b7f1d000 r-xp 00000000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f1d000-b7f1e000 rwxp 00006000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f1e000-b7f1f000 rwxp b7f1e000 00:00 0 
-b7f1f000-b7f20000 r-xp b7f1f000 00:00 0 
-b7f20000-b7f21000 r-xp b7f20000 00:00 0          [vdso]
-bfcc8000-bfccb000 --xp bfcc8000 00:00 0 
-bfccb000-bfec8000 rwxp bfccb000 00:00 0          [stack]
-
-VM Arguments:
-jvm_args: -Djava.library.path=/research/cc108/greenstone3Project/lib/jni
-java_command: org.greenstone3.ms.collectionChooser
-Launcher Type: SUN_STANDARD
-
-Environment Variables:
-JAVA_HOME=/opt/jdk1.5.0_10
-JRE_HOME=/opt/jdk1.5.0_10/jre
-PATH=/home/cc108/bin:/opt/jdk1.5.0_10:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
-USERNAME=cc108
-LD_LIBRARY_PATH=/opt/jdk1.5.0_10/jre/lib/i386/client:/opt/jdk1.5.0_10/jre/lib/i386:/opt/jdk1.5.0_10/jre/../lib/i386:/usr/lib/firefox-1.5.0.12
-SHELL=/bin/bash
-DISPLAY=:0.0
-
-Signal Handlers:
-SIGSEGV: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGBUS: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGFPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGPIPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGILL: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
-SIGUSR2: [libjvm.so+0x28ce60], sa_mask[0]=0x00000000, sa_flags=0x10000004
-SIGHUP: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGINT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGQUIT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGTERM: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-
-
----------------  S Y S T E M  ---------------
-
-OS:Fedora Core release 6 (Zod)
-
-uname:Linux 2.6.22.2-42.fc6 #1 SMP Wed Aug 15 12:34:26 EDT 2007 i686
-libc:glibc 2.5 NPTL 2.5 
-rlimit: STACK 10240k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
-load average:0.06 0.19 0.26
-
-CPU:total 1 (cores per cpu 1, threads per core 1) family 6 model 10 stepping 0, cmov, cx8, fxsr, mmx, sse, mmxext, 3dnowext, 3dnow
-
-Memory: 4k page, physical 1034780k(70412k free), swap 2000084k(1947564k free)
-
-vm_info: Java HotSpot(TM) Client VM (1.5.0_10-b03) for linux-x86, built on Nov  9 2006 14:22:56 by java_re with gcc 3.2.1-7a (J2SE release)
-