Index: her-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid10956.log
===================================================================
--- /other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid10956.log	(revision 17173)
+++ 	(revision )
@@ -1,342 +1,0 @@
-#
-# An unexpected error has been detected by HotSpot Virtual Machine:
-#
-#  SIGSEGV (0xb) at pc=0x53e58955, pid=10956, tid=3085964992
-#
-# Java VM: Java HotSpot(TM) Client VM (1.5.0_10-b03 mixed mode, sharing)
-# Problematic frame:
-# C  0x53e58955
-#
-
----------------  T H R E A D  ---------------
-
-Current thread (0x0861fb18):  JavaThread "main" [_thread_in_native, id=10956]
-
-siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x53e58955
-
-Registers:
-EAX=0x00db01b0, EBX=0xb160f1d0, ECX=0xb231ffd8, EDX=0x0023d380
-ESP=0xbfea4f2c, EBP=0xbfea4f58, ESI=0x08a57f68, EDI=0x08a57f68
-EIP=0x53e58955, CR2=0x53e58955, EFLAGS=0x00210202
-
-Top of Stack: (sp=0xbfea4f2c)
-0xbfea4f2c:   b15f4a92 08a57f68 00000018 b160718f
-0xbfea4f3c:   08a57f68 00000001 08a57f84 b15f499b
-0xbfea4f4c:   b160f1d0 b160718f b15f4540 bfea4f88
-0xbfea4f5c:   b15f4bd1 b1607174 b1606bc2 b15f4540
-0xbfea4f6c:   0861fbd8 bfea4fb8 b1606bc2 b15f4b7b
-0xbfea4f7c:   b160f1d0 08a57f48 0861fbd8 bfea4fb8
-0xbfea4f8c:   b15f05cc 0861fbd8 bfea4ff4 00000042
-0xbfea4f9c:   08a57f48 bfea5014 8cccf0d0 b15f054b 
-
-Instructions: (pc=0x53e58955)
-0x53e58945:   
-[error occurred during error reporting, step 100, id 0xb]
-
-Stack: [0xbfca9000,0xbfea9000),  sp=0xbfea4f2c,  free space=2031k
-Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
-C  0x53e58955
-C  [libmgsearchjni.so+0xabd1]  InitEnv+0x61
-C  [libmgsearchjni.so+0x65cc]  Java_org_greenstone_mg_MGSearchWrapper_initCSide+0x8c
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x2b5acc]
-V  [libjvm.so+0x2b8a50]
-V  [libjvm.so+0x1ef248]
-C  [libjava.so+0x137ad]  Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0+0x2d
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+285
-j  org.greenstone3.ms.collectionChooser.<init>()V+14
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x1a55f2]
-V  [libjvm.so+0x196802]
-C  [java+0x1873]
-C  [libc.so.6+0x15dec]  __libc_start_main+0xdc
-
-Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+285
-j  org.greenstone3.ms.collectionChooser.<init>()V+14
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-
----------------  P R O C E S S  ---------------
-
-Java Threads: ( => current thread )
-  0x08a049d8 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=10972]
-  0x089f5d00 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=10971]
-  0x08667e98 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=10967]
-  0x08666988 JavaThread "CompilerThread0" daemon [_thread_blocked, id=10966]
-  0x08665988 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=10965]
-  0x0865fda8 JavaThread "Finalizer" daemon [_thread_blocked, id=10963]
-  0x0865df20 JavaThread "Reference Handler" daemon [_thread_blocked, id=10962]
-=>0x0861fb18 JavaThread "main" [_thread_in_native, id=10956]
-
-Other Threads:
-  0x0865b380 VMThread [id=10961]
-  0x08669460 WatcherThread [id=10969]
-
-VM state:not at safepoint (normal execution)
-
-VM Mutex/Monitor currently owned by a thread: None
-
-Heap
- def new generation   total 576K, used 23K [0x88b40000, 0x88be0000, 0x89020000)
-  eden space 512K,   4% used [0x88b40000, 0x88b45ef0, 0x88bc0000)
-  from space 64K,   0% used [0x88bc0000, 0x88bc0000, 0x88bd0000)
-  to   space 64K,   0% used [0x88bd0000, 0x88bd0000, 0x88be0000)
- tenured generation   total 2176K, used 1305K [0x89020000, 0x89240000, 0x8cb40000)
-   the space 2176K,  59% used [0x89020000, 0x89166540, 0x89166600, 0x89240000)
- compacting perm gen  total 8192K, used 1602K [0x8cb40000, 0x8d340000, 0x90b40000)
-   the space 8192K,  19% used [0x8cb40000, 0x8ccd0a08, 0x8ccd0c00, 0x8d340000)
-    ro space 8192K,  68% used [0x90b40000, 0x910bf220, 0x910bf400, 0x91340000)
-    rw space 12288K,  48% used [0x91340000, 0x9190a968, 0x9190aa00, 0x91f40000)
-
-Dynamic libraries:
-00101000-0023b000 r-xp 00000000 03:03 5133208    /lib/libc-2.5.so
-0023b000-0023d000 r-xp 0013a000 03:03 5133208    /lib/libc-2.5.so
-0023d000-0023e000 rwxp 0013c000 03:03 5133208    /lib/libc-2.5.so
-0023e000-00241000 rwxp 0023e000 00:00 0 
-00243000-00341000 r-xp 00000000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00341000-00345000 rwxp 000fe000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00397000-003b0000 r-xp 00000000 03:03 5133207    /lib/ld-2.5.so
-003b0000-003b1000 r-xp 00019000 03:03 5133207    /lib/ld-2.5.so
-003b1000-003b2000 rwxp 0001a000 03:03 5133207    /lib/ld-2.5.so
-003b4000-003bd000 r-xp 00000000 03:03 5133232    /lib/libnss_files-2.5.so
-003bd000-003be000 r-xp 00008000 03:03 5133232    /lib/libnss_files-2.5.so
-003be000-003bf000 rwxp 00009000 03:03 5133232    /lib/libnss_files-2.5.so
-003c1000-003c9000 r-xp 00000000 03:03 5133235    /lib/libnss_nis-2.5.so
-003c9000-003ca000 r-xp 00007000 03:03 5133235    /lib/libnss_nis-2.5.so
-003ca000-003cb000 rwxp 00008000 03:03 5133235    /lib/libnss_nis-2.5.so
-0042e000-00441000 r-xp 00000000 03:03 5133221    /lib/libnsl-2.5.so
-00441000-00442000 r-xp 00012000 03:03 5133221    /lib/libnsl-2.5.so
-00442000-00443000 rwxp 00013000 03:03 5133221    /lib/libnsl-2.5.so
-00443000-00445000 rwxp 00443000 00:00 0 
-00d66000-00d8b000 r-xp 00000000 03:03 5133213    /lib/libm-2.5.so
-00d8b000-00d8c000 r-xp 00024000 03:03 5133213    /lib/libm-2.5.so
-00d8c000-00d8d000 rwxp 00025000 03:03 5133213    /lib/libm-2.5.so
-00d8f000-00d91000 r-xp 00000000 03:03 5133209    /lib/libdl-2.5.so
-00d91000-00d92000 r-xp 00001000 03:03 5133209    /lib/libdl-2.5.so
-00d92000-00d93000 rwxp 00002000 03:03 5133209    /lib/libdl-2.5.so
-00daa000-00dac000 r-xp 00000000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00dac000-00dad000 rwxp 00001000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00daf000-00db4000 r-xp 00000000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db4000-00db5000 rwxp 00004000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db7000-00dca000 r-xp 00000000 03:03 5133215    /lib/libpthread-2.5.so
-00dca000-00dcb000 r-xp 00012000 03:03 5133215    /lib/libpthread-2.5.so
-00dcb000-00dcc000 rwxp 00013000 03:03 5133215    /lib/libpthread-2.5.so
-00dcc000-00dce000 rwxp 00dcc000 00:00 0 
-00dd0000-00ddf000 r-xp 00000000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00ddf000-00de0000 rwxp 0000e000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00de2000-00dea000 r-xp 00000000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00dea000-00deb000 rwxp 00007000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00ded000-00df1000 r-xp 00000000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-00df1000-00df2000 rwxp 00003000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-06321000-0632a000 r-xp 00000000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0632a000-0632b000 rwxp 00008000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0640e000-06419000 r-xp 00000000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06419000-0641a000 rwxp 0000a000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06443000-06523000 r-xp 00000000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06523000-06527000 r-xp 000df000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06527000-06528000 rwxp 000e3000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06528000-0652e000 rwxp 06528000 00:00 0 
-070b3000-070b8000 r-xp 00000000 03:03 5129595    /lib/libcrypt-2.5.so
-070b8000-070b9000 r-xp 00004000 03:03 5129595    /lib/libcrypt-2.5.so
-070b9000-070ba000 rwxp 00005000 03:03 5129595    /lib/libcrypt-2.5.so
-070ba000-070e1000 rwxp 070ba000 00:00 0 
-08048000-08057000 r-xp 00000000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08057000-08059000 rwxp 0000e000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-0861a000-08a82000 rwxp 0861a000 00:00 0 
-88b40000-88be0000 rwxp 88b40000 00:00 0 
-88be0000-89020000 rwxp 88be0000 00:00 0 
-89020000-89240000 rwxp 89020000 00:00 0 
-89240000-8cb40000 rwxp 89240000 00:00 0 
-8cb40000-8d340000 rwxp 8cb40000 00:00 0 
-8d340000-90b40000 rwxp 8d340000 00:00 0 
-90b40000-910c0000 r-xs 00001000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-910c0000-91340000 rwxp 910c0000 00:00 0 
-91340000-9190b000 rwxp 00581000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-9190b000-91f40000 rwxp 9190b000 00:00 0 
-91f40000-92010000 rwxp 00b4c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92010000-92340000 rwxp 92010000 00:00 0 
-92340000-92344000 r-xs 00c1c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92344000-92740000 rwxp 92344000 00:00 0 
-b15ea000-b160f000 r-xp 00000000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b160f000-b1611000 rwxp 00025000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b1611000-b1612000 rwxp b1611000 00:00 0 
-b1612000-b1628000 r-xp 00000000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1628000-b1629000 rwxp 00016000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1629000-b165d000 r-xp 00000000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b165d000-b1666000 rwxp 00033000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1666000-b166c000 r-xp 00000000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b166c000-b166d000 rwxp 00005000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b167f000-b1681000 r-xp 00000000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b1681000-b1682000 rwxp 00002000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b1682000-b1685000 --xp b1682000 00:00 0 
-b1685000-b1703000 rwxp b1685000 00:00 0 
-b1703000-b1706000 --xp b1703000 00:00 0 
-b1706000-b1784000 rwxp b1706000 00:00 0 
-b1784000-b17ee000 r-xp 00000000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b17ee000-b17f8000 rwxp 00069000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b17f8000-b17fc000 rwxp b17f8000 00:00 0 
-b17fc000-b17ff000 r-xs 00000000 03:04 11177891   /research/cc108/greenstone3Project/lib/jni/mgpp.jar
-b17ff000-b1802000 r-xs 00000000 03:04 11177890   /research/cc108/greenstone3Project/lib/jni/mg.jar
-b1802000-b1808000 r-xs 00000000 03:04 11177881   /research/cc108/greenstone3Project/lib/jni/javagdbm.jar
-b1808000-b192e000 r-xs 00000000 03:04 824762     /research/cc108/greenstone3Project/web/WEB-INF/lib/xercesImpl.jar
-b192e000-b1973000 r-xs 00000000 03:04 824767     /research/cc108/greenstone3Project/web/WEB-INF/lib/mail.jar
-b1973000-b19a3000 r-xs 00000000 03:04 922338     /research/cc108/greenstone3Project/web/applet/xml-apis.jar
-b19a3000-b1a4e000 r-xs 00000000 03:04 823556     /research/cc108/greenstone3Project/web/WEB-INF/lib/LuceneWrapper.jar
-b1a4e000-b1a9d000 r-xs 00000000 03:04 824760     /research/cc108/greenstone3Project/web/WEB-INF/lib/lucene-1.4.1.jar
-b1a9d000-b1af4000 r-xs 00000000 03:04 822971     /research/cc108/greenstone3Project/web/WEB-INF/lib/log4j-1.2.8.jar
-b1af4000-b1c1d000 r-xs 00000000 00:12 10701459   /home/cc108/jFreeChart/lib/jfreechart-1.0.6.jar
-b1c1d000-b1c6a000 r-xs 00000000 00:12 10701456   /home/cc108/jFreeChart/lib/jcommon-1.0.10.jar
-b1c6a000-b1c72000 r-xs 00000000 03:04 823023     /research/cc108/greenstone3Project/web/WEB-INF/lib/jaxrpc.jar
-b1c72000-b1dfa000 r-xs 00000000 03:04 823122     /research/cc108/greenstone3Project/web/WEB-INF/lib/axis.jar
-b1dfa000-b1e5c000 r-xs 00000000 03:04 823577     /research/cc108/greenstone3Project/web/WEB-INF/lib/gsdl3.jar
-b1e5c000-b1e8a000 r-xp 00000000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1e8a000-b1e8d000 rwxp 0002e000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1e8d000-b1e8e000 rwxp b1e8d000 00:00 0 
-b1e8e000-b1f54000 r-xp 00000000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f54000-b1f55000 rwxp 000c5000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f55000-b1fb5000 r-xp 00000000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fb5000-b1fbb000 rwxp 0005f000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fbb000-b1fdf000 rwxp b1fbb000 00:00 0 
-b1fdf000-b20a4000 r-xs 00000000 03:03 6669015    /opt/jdk1.5.0_10/jre/lib/ext/localedata.jar
-b20a4000-b20a6000 r-xs 00000000 03:03 6669016    /opt/jdk1.5.0_10/jre/lib/ext/dnsns.jar
-b20a6000-b20d1000 r-xs 00000000 03:03 6669017    /opt/jdk1.5.0_10/jre/lib/ext/sunpkcs11.jar
-b20d1000-b20f8000 r-xs 00000000 03:03 6669014    /opt/jdk1.5.0_10/jre/lib/ext/sunjce_provider.jar
-b20f8000-b20f9000 --xp b20f8000 00:00 0 
-b20f9000-b2179000 rwxp b20f9000 00:00 0 
-b2179000-b217c000 --xp b2179000 00:00 0 
-b217c000-b21fa000 rwxp b217c000 00:00 0 
-b21fa000-b21fd000 --xp b21fa000 00:00 0 
-b21fd000-b227b000 rwxp b21fd000 00:00 0 
-b227b000-b227e000 --xp b227b000 00:00 0 
-b227e000-b22fc000 rwxp b227e000 00:00 0 
-b22fc000-b24fc000 r-xp 00000000 03:03 4773667    /usr/lib/locale/locale-archive
-b24fc000-b24ff000 --xp b24fc000 00:00 0 
-b24ff000-b257d000 rwxp b24ff000 00:00 0 
-b257d000-b2580000 --xp b257d000 00:00 0 
-b2580000-b25fe000 rwxp b2580000 00:00 0 
-b25fe000-b25ff000 --xp b25fe000 00:00 0 
-b25ff000-b268b000 rwxp b25ff000 00:00 0 
-b268b000-b26a7000 rwxp b268b000 00:00 0 
-b26a7000-b26a9000 rwxp b26a7000 00:00 0 
-b26a9000-b26c5000 rwxp b26a9000 00:00 0 
-b26c5000-b26c6000 rwxp b26c5000 00:00 0 
-b26c6000-b26c7000 rwxp b26c6000 00:00 0 
-b26c7000-b26c9000 rwxp b26c7000 00:00 0 
-b26c9000-b26e5000 rwxp b26c9000 00:00 0 
-b26e5000-b26e9000 rwxp b26e5000 00:00 0 
-b26e9000-b2705000 rwxp b26e9000 00:00 0 
-b2705000-b2714000 rwxp b2705000 00:00 0 
-b2714000-b2790000 rwxp b2714000 00:00 0 
-b2790000-b2880000 rwxp b2790000 00:00 0 
-b2880000-b4790000 rwxp b2880000 00:00 0 
-b4790000-b4fff000 r-xs 00000000 03:03 6668968    /opt/jdk1.5.0_10/jre/lib/charsets.jar
-b4fff000-b5014000 r-xs 00000000 03:03 6668987    /opt/jdk1.5.0_10/jre/lib/jce.jar
-b5014000-b5099000 r-xs 00000000 03:03 6668837    /opt/jdk1.5.0_10/jre/lib/jsse.jar
-b5099000-b5102000 rwxp b5099000 00:00 0 
-b5102000-b7710000 r-xs 00000000 03:03 6668836    /opt/jdk1.5.0_10/jre/lib/rt.jar
-b7710000-b771f000 r-xp 00000000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b771f000-b7721000 rwxp 0000e000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b7721000-b7742000 r-xp 00000000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b7742000-b7744000 rwxp 00020000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b7744000-b774b000 r-xp 00000000 03:03 5129541    /lib/libnss_compat-2.5.so
-b774b000-b774c000 r-xp 00006000 03:03 5129541    /lib/libnss_compat-2.5.so
-b774c000-b774d000 rwxp 00007000 03:03 5129541    /lib/libnss_compat-2.5.so
-b774d000-b774e000 r-xs 00000000 03:04 11177901   /research/cc108/greenstone3Project/lib/jni/cp.jar
-b774e000-b7753000 rwxp b774e000 00:00 0 
-b7753000-b775e000 r-xp 00000000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b775e000-b775f000 rwxp 0000b000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b775f000-b7acc000 r-xp 00000000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7acc000-b7aea000 rwxp 0036c000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7aea000-b7f03000 rwxp b7aea000 00:00 0 
-b7f03000-b7f04000 r-xp 02aea000 03:03 4773667    /usr/lib/locale/locale-archive
-b7f04000-b7f0c000 rwxs 00000000 03:03 4151856    /tmp/hsperfdata_cc108/10956
-b7f0c000-b7f12000 r-xp 00000000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f12000-b7f13000 rwxp 00006000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f13000-b7f14000 rwxp b7f13000 00:00 0 
-b7f14000-b7f15000 r-xp b7f14000 00:00 0 
-b7f15000-b7f16000 r-xp b7f15000 00:00 0          [vdso]
-bfca9000-bfcac000 --xp bfca9000 00:00 0 
-bfcac000-bfea9000 rwxp bfcac000 00:00 0          [stack]
-
-VM Arguments:
-jvm_args: -Djava.library.path=/research/cc108/greenstone3Project/lib/jni
-java_command: org.greenstone3.ms.collectionChooser
-Launcher Type: SUN_STANDARD
-
-Environment Variables:
-JAVA_HOME=/opt/jdk1.5.0_10
-JRE_HOME=/opt/jdk1.5.0_10/jre
-PATH=/home/cc108/bin:/opt/jdk1.5.0_10:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
-USERNAME=cc108
-LD_LIBRARY_PATH=/opt/jdk1.5.0_10/jre/lib/i386/client:/opt/jdk1.5.0_10/jre/lib/i386:/opt/jdk1.5.0_10/jre/../lib/i386:/usr/lib/firefox-1.5.0.12
-SHELL=/bin/bash
-DISPLAY=:0.0
-
-Signal Handlers:
-SIGSEGV: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGBUS: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGFPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGPIPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGILL: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
-SIGUSR2: [libjvm.so+0x28ce60], sa_mask[0]=0x00000000, sa_flags=0x10000004
-SIGHUP: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGINT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGQUIT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGTERM: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-
-
----------------  S Y S T E M  ---------------
-
-OS:Fedora Core release 6 (Zod)
-
-uname:Linux 2.6.22.2-42.fc6 #1 SMP Wed Aug 15 12:34:26 EDT 2007 i686
-libc:glibc 2.5 NPTL 2.5 
-rlimit: STACK 10240k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
-load average:0.43 0.21 0.22
-
-CPU:total 1 (cores per cpu 1, threads per core 1) family 6 model 10 stepping 0, cmov, cx8, fxsr, mmx, sse, mmxext, 3dnowext, 3dnow
-
-Memory: 4k page, physical 1034780k(48424k free), swap 2000084k(1947564k free)
-
-vm_info: Java HotSpot(TM) Client VM (1.5.0_10-b03) for linux-x86, built on Nov  9 2006 14:22:56 by java_re with gcc 3.2.1-7a (J2SE release)
-