Index: /gsdl/trunk/perllib/plugouts/DSpacePlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/DSpacePlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/DSpacePlugout.pm	(revision 17203)
@@ -31,8 +31,8 @@
 eval {require bytes};
 use util;
-use BasPlugout;
+use BasePlugout;
 
 sub BEGIN {
-    @DSpacePlugout::ISA = ('BasPlugout');
+    @DSpacePlugout::ISA = ('BasePlugout');
 }
 
@@ -49,11 +49,10 @@
     push(@$plugoutlist, $class);
 
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
-
-    my $self = (defined $hashArgOptLists)? new BasPlugout($plugoutlist,$inputargs,$hashArgOptLists): new BasPlugout($plugoutlist,$inputargs); 
-    
-      
-   return bless $self, $class;
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
+
+    my $self = new BasePlugout($plugoutlist,$inputargs,$hashArgOptLists);    
+    
+    return bless $self, $class;
 }
 
Index: /gsdl/trunk/perllib/plugouts/FedoraMETSPlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/FedoraMETSPlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/FedoraMETSPlugout.pm	(revision 17203)
@@ -64,9 +64,8 @@
     
     
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
-    
-    my $self = (defined $hashArgOptLists)? new METSPlugout($plugoutlist,$inputargs,$hashArgOptLists): new METSPlugout($plugoutlist,$inputargs); 
-    
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
+    
+    my $self = new METSPlugout($plugoutlist,$inputargs,$hashArgOptLists);
     
     return bless $self, $class;
Index: /gsdl/trunk/perllib/plugouts/GAPlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/GAPlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/GAPlugout.pm	(revision 17203)
@@ -32,9 +32,9 @@
 eval {require bytes};
 use util;
-use BasPlugout;
+use BasePlugout;
 use docprint;
 
 sub BEGIN {
-    @GAPlugout::ISA = ('BasPlugout');
+    @GAPlugout::ISA = ('BasePlugout');
 }
 
@@ -51,10 +51,10 @@
     push(@$plugoutlist, $class);
 
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = (defined $hashArgOptLists)? new BasPlugout($plugoutlist,$inputargs,$hashArgOptLists): new BasPlugout($plugoutlist,$inputargs); 
+    my $self = new BasePlugout($plugoutlist,$inputargs,$hashArgOptLists);
  
-   return bless $self, $class;
+    return bless $self, $class;
 }
 
Index: /gsdl/trunk/perllib/plugouts/GreenstoneMETSPlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/GreenstoneMETSPlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/GreenstoneMETSPlugout.pm	(revision 17203)
@@ -53,11 +53,10 @@
     push(@$plugoutlist, $class);
       
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
-
-    my $self = (defined $hashArgOptLists)? new METSPlugout($plugoutlist,$inputargs,$hashArgOptLists): new METSPlugout($plugoutlist,$inputargs); 
-
-   
-   return bless $self, $class;
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
+
+    my $self = new METSPlugout($plugoutlist,$inputargs,$hashArgOptLists);
+    
+    return bless $self, $class;
 }
 
Index: /gsdl/trunk/perllib/plugouts/MARCXMLPlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/MARCXMLPlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/MARCXMLPlugout.pm	(revision 17203)
@@ -31,10 +31,10 @@
 eval {require bytes};
 use util;
-use BasPlugout;
+use BasePlugout;
 use docprint; # for escape_text
 
 
 sub BEGIN {
-    @MARCXMLPlugout::ISA = ('BasPlugout');
+    @MARCXMLPlugout::ISA = ('BasePlugout');
 }
 
@@ -66,11 +66,10 @@
     push(@$plugoutlist, $class);
 
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
 
-    my $self = (defined $hashArgOptLists)? new BasPlugout($plugoutlist,$inputargs,$hashArgOptLists): new BasPlugout($plugoutlist,$inputargs); 
+    my $self = new BasePlugout($plugoutlist,$inputargs,$hashArgOptLists);
 
-         
-   $self->{'buffered_output'} ="";
+    $self->{'buffered_output'} ="";
 
     if (!defined $self->{'mapping_file'} ||  (defined $self->{'mapping_file'} && $self->{'mapping_file'} eq "")){
Index: /gsdl/trunk/perllib/plugouts/METSPlugout.pm
===================================================================
--- /gsdl/trunk/perllib/plugouts/METSPlugout.pm	(revision 17202)
+++ /gsdl/trunk/perllib/plugouts/METSPlugout.pm	(revision 17203)
@@ -34,9 +34,9 @@
 eval {require bytes};
 use util;
-use BasPlugout;
+use BasePlugout;
 use docprint; # for escape_text
 
 sub BEGIN {
-    @METSPlugout::ISA = ('BasPlugout');
+    @METSPlugout::ISA = ('BasePlugout');
 }
 
@@ -67,11 +67,9 @@
 
       
-    if(defined $arguments){ push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});}
-    if(defined $options) { push(@{$hashArgOptLists->{"OptList"}},$options)};
-
-    my $self = (defined $hashArgOptLists)? new BasPlugout($plugoutlist,$inputargs,$hashArgOptLists): new BasPlugout($plugoutlist,$inputargs); 
-
-    
-   return bless $self, $class;
+    push(@{$hashArgOptLists->{"ArgList"}},@{$arguments});
+    push(@{$hashArgOptLists->{"OptList"}},$options);
+
+    my $self = new BasePlugout($plugoutlist,$inputargs,$hashArgOptLists);
+    return bless $self, $class;
 }
 